[math] Frequency class included in 3.6, but not 3.6.1?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

[math] Frequency class included in 3.6, but not 3.6.1?

Matthew Mah
I am trying to use the Apache commons math Frequency class within an
Eclipse project using maven.

According to the documentation, the Frequency class should be present in
the latest release 3.6.1:
http://commons.apache.org/proper/commons-math/javadocs/api-3.6.1/index.html

When I include the latest release using Maven:
<dependency>
     <groupId>org.apache.commons</groupId>
     <artifactId>commons-math3</artifactId>
     <version>3.6.1</version>
</dependency>

the import statement
import org.apache.commons.math3.stat.Frequency;
complains that:
The import org.apache.commons.math3.stat.Frequency cannot be resolved

This problem resolves for me if I use a slightly older version (3.6)
<dependency>
     <groupId>org.apache.commons</groupId>
     <artifactId>commons-math3</artifactId>
     <version>3.6</version>
</dependency>

Is the Frequency class intentionally excluded from the 3.6.1 release? Or
is there a problem with the 3.6.1 release?

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: [math] Frequency class included in 3.6, but not 3.6.1?

Gilles Sadowski
Hello.

On Wed, 26 Apr 2017 16:17:54 -0400, Matthew Mah wrote:

> I am trying to use the Apache commons math Frequency class within an
> Eclipse project using maven.
>
> According to the documentation, the Frequency class should be present
> in the latest release 3.6.1:
>
> http://commons.apache.org/proper/commons-math/javadocs/api-3.6.1/index.html
>
> When I include the latest release using Maven:
> <dependency>
>     <groupId>org.apache.commons</groupId>
>     <artifactId>commons-math3</artifactId>
>     <version>3.6.1</version>
> </dependency>
>
> the import statement
> import org.apache.commons.math3.stat.Frequency;
> complains that:
> The import org.apache.commons.math3.stat.Frequency cannot be resolved

I've just tested a simple application (importing and using the class)
and it produced the expected outcome.

Perhaps this link
   
http://stackoverflow.com/questions/4322893/eclipse-error-the-import-xxx-cannot-be-resolved
can help you.

> This problem resolves for me if I use a slightly older version (3.6)
> <dependency>
>     <groupId>org.apache.commons</groupId>
>     <artifactId>commons-math3</artifactId>
>     <version>3.6</version>
> </dependency>
>
> Is the Frequency class intentionally excluded from the 3.6.1 release?

Certainly not; it exists within the JAR.

> Or is there a problem with the 3.6.1 release?

Not that we know of (apart from the bug reports listed on the
bug-tracking system).


Regards,
Gilles


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]